org.apache.hc.client5.http.entity.compress

## Class ContentCodecRegistry

- java.lang.Object
- - org.apache.hc.client5.http.entity.compress.ContentCodecRegistry

    @Internal
     @Contract(threading=STATELESS)
    public final class ContentCodecRegistry
    extends Object

Registry of encode/decode transformations for HTTP content codings.

Entries are wired once at class-load time and exposed via an unmodifiable map. Built-in gzip/deflate are always available. Additional codecs are discovered reflectively:

- Commons Compress codecs, when the library and (if required) its helper JARs are present.
- Decode-only Brotli via brotli4j, when present on the classpath. This does not affect the advertised `Accept-Encoding` unless an encoder is also registered.

Since:
  5.6

### Method Summary

All Methods Static Methods Concrete Methods
`static UnaryOperator<HttpEntity>` `decoder(ContentCoding coding)`
`static UnaryOperator<HttpEntity>` `encoder(ContentCoding coding)`
`static HttpEntity` `unwrap(ContentCoding c, HttpEntity src)`
`static HttpEntity` `wrap(ContentCoding c, HttpEntity src)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### wrap

    public static HttpEntity wrap(ContentCoding c,
                                  HttpEntity src)

#### unwrap

    public static HttpEntity unwrap(ContentCoding c,
                                    HttpEntity src)

#### decoder

    public static UnaryOperator<HttpEntity> decoder(ContentCoding coding)

#### encoder

    public static UnaryOperator<HttpEntity> encoder(ContentCoding coding)